about summary refs log tree commit diff homepage
path: root/.travis/testing-utils.sh
diff options
context:
space:
mode:
authorMartin Nowack <martin@se.inf.tu-dresden.de>2017-07-22 22:28:52 +0200
committerMartin Nowack <martin@se.inf.tu-dresden.de>2017-07-23 12:18:35 +0200
commita0a94cfa1a6b8309bd65ca50761fe21bc214f7a7 (patch)
treed67e3e25610fdd56799bf9e94cd0ba59ad3e0870 /.travis/testing-utils.sh
parentafae176824d8fd1733e5e302a62e6bd09a86aff2 (diff)
downloadklee-a0a94cfa1a6b8309bd65ca50761fe21bc214f7a7.tar.gz
Cleanup Travis builder
Diffstat (limited to '.travis/testing-utils.sh')
-rwxr-xr-x.travis/testing-utils.sh56
1 files changed, 15 insertions, 41 deletions
diff --git a/.travis/testing-utils.sh b/.travis/testing-utils.sh
index 153a5546..7502b4fc 100755
--- a/.travis/testing-utils.sh
+++ b/.travis/testing-utils.sh
@@ -10,46 +10,20 @@ if [ "X${USE_CMAKE}" == "X1" ]; then
     exit 0
 fi
 
-if [ "${LLVM_VERSION}" != "2.9" ]; then
-    # Using LLVM3.4 all we need is vanilla GoogleTest :)
-    wget https://github.com/google/googletest/archive/release-1.7.0.zip
-    unzip release-1.7.0.zip
-    cd googletest-release-1.7.0/
-    cmake .
-    make
-    # Normally I wouldn't do something like this but hey we're running on a temporary virtual machine, so who cares?
-    if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
-      sudo cp lib* /usr/lib/
-      sudo cp -r include/gtest /usr/include
-    elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
-      sudo cp lib* /usr/local/lib/
-      sudo cp -r include/gtest /usr/local/include
-    else
-      echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
-      exit 1
-    fi
+# Using LLVM3.4 all we need is vanilla GoogleTest :)
+wget https://github.com/google/googletest/archive/release-1.7.0.zip
+unzip release-1.7.0.zip
+cd googletest-release-1.7.0/
+cmake .
+make
+# Normally I wouldn't do something like this but hey we're running on a temporary virtual machine, so who cares?
+if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
+   sudo cp lib* /usr/lib/
+   sudo cp -r include/gtest /usr/include
+elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
+   sudo cp lib* /usr/local/lib/
+   sudo cp -r include/gtest /usr/local/include
 else
-    # LLVM2.9 on the other hand is a pain
-
-    # We need the version of GoogleTest used in LLVM2.9
-    # This is a hack
-    old_dir=`pwd`
-    cd "${KLEE_SRC}"
-    cd tools/
-    svn export http://llvm.org/svn/llvm-project/llvm/branches/release_29/utils/unittest unittest
-
-    # Now put the header files in the search path so building will succeed
-    sudo cp -r unittest/googletest/include/gtest /usr/include/
-
-    # We need the FileCheck and not utilites as well because they aren't in the llvm-2.9-dev package
-    for tool in FileCheck not; do
-        svn export http://llvm.org/svn/llvm-project/llvm/branches/release_29/utils/${tool} ${tool}
-        # Patch the Makefile so it will work in KLEE's build system
-        sed -i 's/^USEDLIBS.*$/LINK_COMPONENTS = support/' ${tool}/Makefile
-    done
-
-    # Now hack the make file to build the unittest library and the FileCheck and not tools
-    sed -i '0,/^PARALLEL_DIRS/a PARALLEL_DIRS += unittest FileCheck not' Makefile
-
-    cd "${old_dir}"
+   echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+   exit 1
 fi